summaryrefslogtreecommitdiff
path: root/tests/chown/basic
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2004-07-28 23:05:27 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2004-07-28 23:05:27 +0000
commitadab436e48c8d15c1447551e3e688e5ae2eea5b2 (patch)
tree28fa92d9b76acc2684fe4d58ba68b98e37906aa3 /tests/chown/basic
parentf8fe7f2e4380ad239479d2094cd987cab8d6c449 (diff)
downloadcoreutils-adab436e48c8d15c1447551e3e688e5ae2eea5b2.tar.xz
Test for proper handling of uids like
"010", which must be parsed as decimal.
Diffstat (limited to 'tests/chown/basic')
-rwxr-xr-xtests/chown/basic6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/chown/basic b/tests/chown/basic
index 908ef119c..da6a3d1eb 100755
--- a/tests/chown/basic
+++ b/tests/chown/basic
@@ -31,9 +31,9 @@ chown 0:1 f
# Make sure the owner and group are 0 and 1 respectively.
set _ `ls -n f`; shift; test "$3:$4" = 0:1 || fail=1
-chown --from=0:1 2:3 f || fail=1
+chown --from=0:1 2:010 f || fail=1
-# And now they should be 2 and 3 respectively.
-set _ `ls -n f`; shift; test "$3:$4" = 2:3 || fail=1
+# And now they should be 2 and 10 respectively.
+set _ `ls -n f`; shift; test "$3:$4" = 2:10 || fail=1
(exit $fail); exit $fail